﻿@using DataAccess.Model;
@model IList<Vocabulary>

@{Html.RenderAction("SidemenuVocabulary", "Menu");}

<div class="dashboard-wrapper">
    <div class="container-fluid dashboard-content">
        <div class="form-inline mt-2 mt-md-0">
            @using (Ajax.BeginForm("SearchVu", new AjaxOptions() { UpdateTargetId = "dynamicContent", InsertionMode = InsertionMode.Replace }))
            {
                <input class="form-control mr-sm-2" type="text" placeholder="Vyhledávání" aria-label="Vyhledejte frázi" id="searchBox" name="phrase">
                <button class="btn btn-outline-success my-2 my-sm-0" type="submit" style="margin-right: 15px">Vyhledat</button>
            }
        </div>
        <label for="submit-button"></label>

        <table class="table">
            <thead class="thead-dark">
                <tr>
                    <th scope="col">Slovíčko</th>
                    <th scope="col">Význam</th>
                </tr>
            </thead>
            <tbody>
                @foreach (Vocabulary v in Model)
                {
                    <tr>
                        <td><strong>@v.Word</strong></td>
                        <td>@v.Description</td>
                    </tr>
                }
            </tbody>
        </table>

        @if (ViewBag.Pages > 1)
        {
            <ul class="pagination">
                @for (int i = 1; i <= ViewBag.Pages; i++)
                {
                    <li class=@(ViewBag.CurrentPage == i ? "active" : "")>
                        @Ajax.ActionLink(i.ToString(), "IndexVocabularyUser", new { page = i }, new AjaxOptions() { InsertionMode = InsertionMode.Replace, UpdateTargetId = "dynamicContent" }, new { @class = "page-link" })
                    </li>
                }
            </ul>
        }
    </div>
</div>

<script type="text/javascript">
    $(function () {

        $("#searchBox").autocomplete({
            source: function (request, response) {
                $.ajax({
                    url: '@Url.Action("SearchWords", "Vocabulary")',
                    dataType: "json",
                    data: {
                        query: request.term
                    },
                    success: function (data) {
                        response(data);
                    }
                });
            },
            minLength: 2
        });
    });
</script>